package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.dto.NextNumberDto;
import com.foreverwin.mesnac.common.model.NextNumber;

import java.util.List;

/**
 * <p>
 * 编码规则 服务类
 * </p>
 *
 * @author Roc Li
 * @since 2020-09-03
 */
public interface NextNumberService extends IService<NextNumber> {
    List<NextNumberDto> selectListBySite(String site);

    NextNumber selectOne(String site, String numberType);


    void batchSave(String site, List<NextNumber> ruleList);
}